org.etsi.uri._01903.v1_3

## Class CRLValuesType

- java.lang.Object
- - org.etsi.uri._01903.v1_3.CRLValuesType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:51:38+01:00",
                 comments="JAXB RI v2.3.7")
      public class CRLValuesType
      extends Object
      implements Serializable

  Java class for CRLValuesType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CRLValuesType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="EncapsulatedCRLValue" type="{http://uri.etsi.org/01903/v1.3.2#}EncapsulatedPKIDataType" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRLValuesType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<EncapsulatedPKIData>` | `getEncapsulatedCRLValues()` Gets the value of the encapsulatedCRLValues property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CRLValuesType

          public CRLValuesType()

  - ### Method Detail

    - #### getEncapsulatedCRLValues

          public List<EncapsulatedPKIData> getEncapsulatedCRLValues()

      Gets the value of the encapsulatedCRLValues property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the encapsulatedCRLValues property.

      For example, to add a new item, do as follows:

              getEncapsulatedCRLValues().add(newItem);

      Objects of the following type(s) are allowed in the list `EncapsulatedPKIData`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.